
def generate_random_version_number(current_version):
    import random
    import string

    def increment_version(version):
        parts = version.split('.')
        last_part = int(parts[-1])
        incremented_part = str(last_part + random.randint(1, 10))
        return '.'.join(parts[:-1] + [incremented_part])

    return increment_version(current_version)



